using System;
using Jypeli;

namespace RuksitNurkkiin;
/// <summary>
/// Ruksit ylänurkkiin
/// </summary>
public class RuksitNurkkiin : Game
{
    public override void Begin()
    {
        Camera.ZoomToLevel();

    }

    protected override void Paint(Canvas canvas)
    {
        canvas.BrushColor = Color.Red;
        double x = canvas.Left + 100, y = canvas.Top - 100;
        canvas.DrawLine(new Vector(x - 50, y + 50), new Vector(x + 50, y - 50));
        canvas.DrawLine(new Vector(x + 50, y + 50), new Vector(x - 50, y - 50));

        canvas.BrushColor = Color.Black;
        x = canvas.Right - 100;
        y = canvas.Top - 100;
        canvas.DrawLine(new Vector(x - 50, y + 50), new Vector(x + 50, y - 50));
        canvas.DrawLine(new Vector(x + 50, y + 50), new Vector(x - 50, y - 50));

        base.Paint(canvas);
    }
}